{% set class_name = "UserTest" %}
{% trans_default_domain "UserTest" %}
{% set exportable = false %}


{% block content %}
    {# <div class="left">
        <div class="row">
            <div class="col-sm-12" style="margin-bottom:2rem; padding-left:2rem;">
                <div class="row" style="padding-left:2rem; padding-right:2rem;">
                    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
                        {% trans_default_domain "UserTest" %}
                        {% block label %}
                            {{ 'form.field.username'|trans }}
                        {% endblock %}
                        {% block tooltip %}
                            {{'form.field.username.tooltip'|trans}}
                        {% endblock %}
                        {% block control %}
                            <input ng-model="object.username" type="text" style="width:100%;" class='form-control' ng-model-options='{ updateOn: "blur" }'/>
                        {% endblock %}
                    {% endembed %}
                    {% embed "ConcertoPanelBundle::form_h_element.html.twig" %}
                        {% trans_default_domain "UserTest" %}
                        {% block label %}
                            {{ 'form.field.password'|trans }}
                        {% endblock %}
                        {% block tooltip %}
                            {{'form.field.password.tooltip'|trans}}
                        {% endblock %}
                        {% block control %}
                            <input ng-model="object.password" type="password" style="width:100%;" class='form-control' ng-model-options='{ updateOn: "blur" }'/>
                        {% endblock %}
                    {% endembed %}
                    <div class="col-sm-4">
                        <button style="margin-top:1rem;" class="btn btn-md btn-success" ng-click="save()">{{ 'form.button.save'|trans }}</button>
                    </div>
                </div>
            </div>
        </div>
    </div> #}
	
	<div class="center">
        <button ng-click="fetchAllCollections();" class="btn btn-default btn-sm btn-list-refresh">{{ "list.button.refresh"|trans }}</button>
        <button ng-click="add();" class="btn btn-success btn-sm">{{ "list.button.add"|trans }}</button>
        {# <button ng-click="import();" class="btn btn-success btn-sm" ng-if="exportable">{{ "list.button.import"|trans }}</button> #}
        {# <button ng-click="exportSelected();" class="btn btn-default btn-sm" ng-if="exportable">{{ "list.button.export.checked"|trans }}</button> #}
        {# <button ng-click="gridService.downloadList(collectionGridApi);" class="btn btn-default btn-sm">{{ "list.button.download"|trans }}</button> #}
        {# <button ng-click="deleteSelected();" class="btn btn-danger btn-sm" ng-disabled="collectionFilter.starterContent && !administrationSettingsService.starterContentEditable">{{ "list.button.delete.checked"|trans }}</button><br/> #}
    </div>
	{# <div class="center" style="margin-top: 16px;">
	        <div class="btn-group">
	            <label class="btn btn-default btn-sm" ng-model="collectionFilter.starterContent" uib-btn-radio="false" ng-click="refreshGrid()">{{ "list.filter.user_made"|trans }}</label>
	            <label class="btn btn-default btn-sm" ng-model="collectionFilter.starterContent" uib-btn-radio="true" ng-click="refreshGrid()">{{ "list.filter.starter_content"|trans }}</label>
	        </div>
	    </div> #}
	<div ui-grid="collectionOptions" ui-grid-auto-resize ui-grid-resize-columns ui-grid-exporter ui-grid-selection ui-grid-move-columns class="grid collectionTable"></div>
{% endblock %}
